<?xml version="1.0" encoding="utf-8"?>

<configuration>
	<appSettings>		
		<add key="DatabaseType" value="SqlServer" />
		<add key="ConnectionString" value="server=(local);uid=user;pwd=password;Trusted_Connection=no;database=ss" />
		<add key="DatabaseOwner" value="dbo" />
		<add key="IsInstallerAllowed" value="True" />
		<add key="IsLicenseAllowed" value="True" />
	</appSettings>
	<system.web>
		<httpRuntime maxRequestLength="1000000" executionTimeout="2000" useFullyQualifiedRedirectUrl="false" minFreeThreads="8" minLocalRequestFreeThreads="4" appRequestQueueLimit="100" enableVersionHeader="false" />
		<webServices>
			<protocols>
				<add name="HttpSoap" />
				<add name="HttpPost" />
				<add name="HttpGet" />
				<add name="Documentation" />
			</protocols>
		</webServices>
		<pages validateRequest="false" enableSessionState="true" enableViewState="true" />
		<customErrors mode="Off" />
		<httpModules>
			<add name="SiteServer" type="SiteServer.Provider.HttpModule.SiteServerHttpModule, SiteServer.Provider" />
		</httpModules>
		<httpHandlers>
			<add verb="GET" path="*/SiteServer_Redirect.aspx" type="SiteServer.Provider.HttpHandler.Redirect, SiteServer.Provider" />
			<add verb="GET" path="*/UserUtils.aspx" type="SiteServer.Provider.HttpHandler.UserUtils, SiteServer.Provider" />
			<add verb="GET" path="*/SiteServer_AjaxUtils.aspx" type="SiteServer.Provider.HttpHandler.AjaxUtils, SiteServer.Provider" />
			<add verb="GET,POST" path="*/*_v.aspx" type="SiteServer.Provider.HttpHandler.View, SiteServer.Provider" />
			<add verb="GET" path="*/*_d.aspx" type="SiteServer.Provider.HttpHandler.Design, SiteServer.Provider" />
		</httpHandlers>
		<sessionState mode="InProc" timeout="30" />
    	<compilation defaultLanguage="C#" debug="false" />
		<authentication mode="Forms">
			<forms name="BAIRONG.AUTHENTICATION" protection="All" timeout="60" slidingExpiration="true" path="/"></forms>
		</authentication>
		<trace enabled="false" requestLimit="1000" pageOutput="true" traceMode="SortByTime" localOnly="true" />
		<globalization fileEncoding="gb2312" requestEncoding="gb2312" responseEncoding="gb2312" culture="zh-CN" />
  </system.web>
</configuration>
